Get All
Fetch all action templates
Retrieves all action templates
Request
URI
GET
https://{vcfa-fqdn}/abx/api/resources/action-templates
COPY
Query Parameters
integer
page
Optional
Constraints:
minimum: 0
default: 0
Zero-based page index (0..N)
integer
size
Optional
Constraints:
minimum: 1
default: 20
The size of the page to be returned
string of
array
sort
Optional
Constraints:
default: priority,ASC
Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.
Responses
200
Paged result of all action templates
Returns
PageActionTemplate
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"actionType": "string",
"runtime": "string",
"source": "string",
"inputs": {
"inputs": {}
},
"description": "string",
"dependencies": "string"
}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
403
Forbidden
Returns
PageActionTemplate
of type(s)
*/*
{
"totalElements": 0,
"totalPages": 0,
"size": 0,
"content": [
{
"id": "string",
"name": "string",
"createdMillis": 0,
"orgId": "string",
"actionType": "string",
"runtime": "string",
"source": "string",
"inputs": {
"inputs": {}
},
"description": "string",
"dependencies": "string"
}
],
"number": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"numberOfElements": 0,
"pageable": {
"offset": 0,
"sort": [
{
"direction": "string",
"nullHandling": "string",
"ascending": false,
"property": "string",
"ignoreCase": false
}
],
"paged": false,
"pageNumber": 0,
"pageSize": 0,
"unpaged": false
},
"first": false,
"last": false,
"empty": false
}
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/abx/api/resources/action-templates